# flutter_danain # node-auth-flutter-BLoC-pattern-RxDart

 - ❄️❄️ `BLoC pattern` `rxdart` `stream` 🐋🐋 Simple auth app flutter, server node.js, BLoC pattern, RxDart
 - Functionalities: `LOGIN`, `LOGOUT`, `REGISTER`, `CHANGE PASSWORD`, `CHANGE AVATAR`, `FORGOT PASSWORD` 🌀🌀
 - **Pure rxdart BLoC pattern**. BLoC pattern without library. Flutter Functional & Reactive programming 🌱🌱
 - Platform-Specific Code With **Flutter Method Channel**
    - [Android](https://github.com/hoc081098/node-auth-flutter-BLoC-pattern-RxDart/blob/master/android/app/src/main/kotlin/com/hoc/flutter_danain/MainActivity.kt#L21): using [Tink library](https://github.com/google/tink) to encrypt/decrypt access token and user info.
    - [iOS](https://github.com/hoc081098/node-auth-flutter-BLoC-pattern-RxDart/blob/master/ios/Runner/AppDelegate.swift#L20): using [CryptoSwift library](https://github.com/krzyzanowskim/CryptoSwift) to encrypt/decrypt access token and user info.

[![Flutter](https://github.com/hoc081098/node-auth-flutter-BLoC-pattern-RxDart/actions/workflows/flutter.yml/badge.svg)](https://github.com/hoc081098/node-auth-flutter-BLoC-pattern-RxDart/actions/workflows/flutter.yml)
[![Codemagic build status](https://api.codemagic.io/apps/5e299cf863c55e0019edee46/5e299cf863c55e0019edee45/status_badge.svg)](https://codemagic.io/apps/5e299cf863c55e0019edee46/5e299cf863c55e0019edee45/latest_build)
![GitHub stars](https://img.shields.io/github/stars/hoc081098/node-auth-flutter-BLoC-pattern-RxDart?style=social)

<br>
Liked some of my work? Buy me a coffee (or more likely a beer)

<a href="https://www.buymeacoffee.com/hoc081098" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-blue.png" alt="Buy Me A Coffee" height=64></a>

## Video demo:

[Youtube](https://youtu.be/OvsDKfy0aOs)

## Download apk [here](https://nightly.link/hoc081098/node-auth-flutter-BLoC-pattern-RxDart/workflows/flutter/master/app.zip)

## Flutter version: channel stable

```yaml
environment:
  sdk: ">=2.17.1 <3.0.0"
  flutter: ">=3.0.1"
```

```shell
Flutter 3.0.1 • channel stable • https://github.com/flutter/flutter.git
Framework • revision fb57da5f94 (2 weeks ago) • 2022-05-19 15:50:29 -0700
Engine • revision caaafc5604
Tools • Dart 2.17.1 • DevTools 2.12.2
```

## Screenshots

|  |  |  |
| :---:  | :---:  | :---:  |
| ![](screenshots/Screenshot1.png) | ![](screenshots/Screenshot2.png) | ![](screenshots/Screenshot3.png) 
| ![](screenshots/Screenshot4.png) | ![](screenshots/Screenshot5.png) | ![](screenshots/Screenshot6.png) 

## Find this repository useful? ❤️

Star this repository and follow me for next creations! Thanks for your support 💗💗.
